package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.entity.SysCoupon;
import com.ym.mec.biz.dal.entity.SysCouponIssueRecord;
import com.ym.mec.biz.dal.vo.CouponIssueRecordVo;
import com.ym.mec.common.page.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * 优惠券发放记录(SysCouponIssueRecord)表服务接口
 *
 * @author hgw
 * @since 2021-12-29 20:26:11
 */
public interface SysCouponIssueRecordService extends IService<SysCouponIssueRecord> {

    void issueCoupon(Map<String, Object> param);

    void revokeCoupon(Integer couponId);

    void manualIssueCoupon(Integer userId, Integer couponId);

    int checkRevoke(Integer issueId);

    PageInfo<?> queryIssueDetail(Map<String, Object> param);

    PageInfo<CouponIssueRecordVo> queryIssueRecord(Map<String, Object> param);

    List<SysCoupon> queryCanBeGetCoupon(Integer userId);
}

